<libosinfo version="0.0.1">
<!-- Licensed under the GNU General Public License version 2 or later.
     See http://www.gnu.org/licenses/ for a copy of the license text -->
  <os id="http://microsoft.com/win/xp">
    <short-id>winxp</short-id>
    <_name>Microsoft Windows XP</_name>
    <version>5.1</version>
    <_vendor>Microsoft Corporation</_vendor>
    <family>winnt</family>
    <distro>win</distro>
    <derives-from id="http://microsoft.com/win/2k"/>
    <derives-from id="http://microsoft.com/win/me"/>
    <upgrades id="http://microsoft.com/win/me"/>

    <release-date>2001-10-25</release-date>
    <eol-date>2009-04-19</eol-date>

    <media arch="i686" installer-reboots="2">
      <iso>
        <volume-id>(WXPFPP|WXHFPP|WXPCCP|WXHCCP|WXPOEM|WXHOEM|WXPVOL|WXPEVL|XRMPFPP|XRMHFPP|XRMPCCP|XRMHCCP|XRMPOEM|XRMHOEM|XRMPVOL|XRMSD2|X1APFPP|X1AHFPP|X1APCCP|X1APCCP|X1AHCCP|X1APOEM|X1AHOEM|X1APVOL|VRMPFPP|VRMHFPP|VRMPCCP|VRMHCCP|VRMPOEM|VRMHOEM|VRMPVOL|VRMSD2|VX2PFPP|VX2HFPP|VX2PCCP|VX2HCCP|VX2POEM|VX2HOEM|VX2PRMFPP|VX2PVOL|GRTMUPD|GRTMPFPP|GRTMPRMFPP|GRTMHFPP|GRTMHKFPP|GRTMHKNFPP|GRTMHRMFPP|GRTMPOEM|GRTMHOEM|GRTMPVOL|GRTMPKNVOL|GRTMPKVOL|GRTMPRMVOL|MX2PFPP|MRMSD2)_</volume-id>
        <publisher-id>MICROSOFT CORPORATION</publisher-id>
        <l10n-language regex="true" l10n-language-map="http://microsoft.com/win/7/l10n-language">[[:upper:][:digit:]]*_([[:upper:]]*)</l10n-language>
      </iso>
    </media>

    <media arch="x86_64" installer-reboots="2">
      <iso>
        <volume-id>(ARMPXFPP|ARMPXCCP|ARMPXOEM|ARMPXVOL|AX2PXCFPP|AX2PXFPP)_</volume-id>
        <publisher-id>MICROSOFT CORPORATION</publisher-id>
        <l10n-language regex="true" l10n-language-map="http://microsoft.com/win/7/l10n-language">[[:upper:][:digit:]]*_([[:upper:]]*)</l10n-language>
      </iso>
    </media>

    <resources arch="i686">
      <minimum>
        <cpu>233000000</cpu>
        <n-cpus>1</n-cpus>
        <ram>67108864</ram>
        <storage>1610612736</storage>
      </minimum>

      <recommended>
        <cpu>300000000</cpu>
        <ram>536870912</ram>
        <storage>10737418240</storage>
      </recommended>
    </resources>

    <resources arch="x86_64">
      <minimum>
        <cpu>733000000</cpu>
        <n-cpus>1</n-cpus>
        <ram>268435456</ram>
        <storage>1610612736</storage>
      </minimum>

      <recommended>
        <cpu>733000000</cpu>
        <ram>536870912</ram>
        <storage>10737418240</storage>
      </recommended>
    </resources>

    <installer>
      <script id='http://microsoft.com/windows/sif/jeos'/>
      <script id='http://microsoft.com/windows/sif/desktop'/>
      <script id='http://microsoft.com/windows/reg/desktop'/>
      <script id='http://microsoft.com/windows/cmd/desktop'/>
    </installer>

    <!-- virtio block device driver -->
    <driver arch="i686" location="https://zeenix.fedorapeople.org/drivers/win-tools-1/preinst/winxp/x86" pre-installable="true" signed="false">
      <file>viostor.cat</file>
      <file>viostor.inf</file>
      <file>viostor.sys</file>
      <!-- For now we require this for pre-installation but we should probably generate this too -->
      <file>txtsetup.oem</file>
      <device id="http://pcisig.com/pci/1af4/1001"/>
    </driver>

    <driver arch="x86_64" location="https://zeenix.fedorapeople.org/drivers/win-tools-1/preinst/winxp/amd64" pre-installable="true" signed="false">
      <file>viostor.cat</file>
      <file>viostor.inf</file>
      <file>viostor.sys</file>
      <!-- For now we require this for pre-installation but we should probably generate this too -->
      <file>txtsetup.oem</file>
      <device id="http://pcisig.com/pci/1af4/1001"/>
    </driver>

    <!-- All virtio and QXL device drivers, and spice-vdagent -->
    <driver arch="i686" location="https://zeenix.fedorapeople.org/drivers/win-tools/postinst" signed="false">
      <file>spice-guest-tools-0.65.exe</file>
      <file>spice-guest-tools-0.65.cmd</file>
      <file>redhat09.cer</file>
      <file>redhat10.cer</file>
      <device id="http://pcisig.com/pci/1af4/1000"/>
      <device id="http://pcisig.com/pci/1af4/1001"/>
      <device id="http://pcisig.com/pci/1af4/1002"/>
      <device id="http://pcisig.com/pci/1af4/1003"/>
      <device id="http://pcisig.com/pci/1b36/0100"/>
    </driver>

    <driver arch="x86_64" location="https://zeenix.fedorapeople.org/drivers/win-tools/postinst" signed="false">
      <file>spice-guest-tools-0.65.exe</file>
      <file>spice-guest-tools-0.65.cmd</file>
      <file>redhat09.cer</file>
      <file>redhat10.cer</file>
      <device id="http://pcisig.com/pci/1af4/1000"/>
      <device id="http://pcisig.com/pci/1af4/1001"/>
      <device id="http://pcisig.com/pci/1af4/1002"/>
      <device id="http://pcisig.com/pci/1af4/1003"/>
      <device id="http://pcisig.com/pci/1b36/0100"/>
    </driver>
  </os>
</libosinfo>
